MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026226Community[OCCT] OCCT:Samplespublic2015-05-15 01:452015-10-23 20:51
Reportermach22 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSWindowsOS VersionSeven
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026226: Can't compile and run OCC mfs samples
Descriptionin the project Geometry there are the 2 files ISession2D_SensitiveCurve.h and ISession2D_SensitiveCurve.cpp that must be removed from the project (as they do not exist anymore)

the mfcsample project use lib/libd as output folder but in this way running a sample it report an error as it can't locate the mfcsample.dll, I think it could use bin/bind as output folder to run all fine
Steps To ReproduceBuild and run OCC mfs samples on various vc versions.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0041182)
git (administrator)
2015-05-15 16:43

Branch CR26226 has been created by ski.

SHA-1: d9c1a5b111549cbe29781e89423e55d0ffa29e45


Detailed log of new commits:

Author: ski
Date: Fri May 15 16:41:45 2015 +0300

    0026226: Can't compile and run OCC mfs samples
    
    Files ISession2D_SensitiveCurve.h and ISession2D_SensitiveCurve.cpp were removed from mfc Geometry sample.
    Output directory for mfcsample project was changed from lib/libd to bin/bind.
(0041265)
git (administrator)
2015-05-19 10:55

Branch CR26226 has been updated forcibly by ski.

SHA-1: 6ba659554c425b1200452b458c7ce91327fcbcd3
(0041266)
ski (developer)
2015-05-19 11:16

All information about files ISession2D_SensitiveCurve.h and ISession2D_SensitiveCurve.cpp were removed from mfc Geometry sample (for all vc versions).

Output directory for mfcsample.dll was changed from lib/libd to bin/bind.

Error in mfcsample project for VC8 in Debug mode was fixed.

All mfc samples were manually built on win64 in Debug and Release modes for vc8 vc9 vc10 vc11.

Please, review.
(0041267)
abv (manager)
2015-05-19 11:43

No remarks, please integrate
(0043503)
git (administrator)
2015-07-27 13:34

Branch CR26226 has been deleted by kgv.

SHA-1: 6ba659554c425b1200452b458c7ce91327fcbcd3

- Related Changesets
occt: master 1a5add58
Timestamp: 2015-05-19 07:54:14
Author: ski
Committer: bugmaster
Details ] Diff ]
0026226: Can't compile and run OCC mfs samples

Files ISession2D_SensitiveCurve.h and ISession2D_SensitiveCurve.cpp were removed from mfc Geometry sample.
Output directory for mfcsample project was changed from lib/libd to bin/bind.
mod - samples/mfc/standard/01_Geometry/adm/win/vc11/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc11/Geometry.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc12/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc12/Geometry.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc8/Geometry.vcproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc9/Geometry.vcproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc10/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc11/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc12/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc8/mfcsample.vcproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc9/mfcsample.vcproj Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-15 01:45 mach22 New Issue
2015-05-15 01:45 mach22 Assigned To => bugmaster
2015-05-15 05:38 abv Assigned To bugmaster => ski
2015-05-15 05:38 abv Status new => assigned
2015-05-15 05:38 abv Category OCCT:Release => OCCT:Samples
2015-05-15 05:38 abv Target Version => 7.0.0
2015-05-15 16:43 git Note Added: 0041182
2015-05-19 10:55 git Note Added: 0041265
2015-05-19 11:16 ski Note Added: 0041266
2015-05-19 11:16 ski Assigned To ski => abv
2015-05-19 11:16 ski Status assigned => resolved
2015-05-19 11:16 ski Steps to Reproduce Updated View Revisions
2015-05-19 11:43 abv Note Added: 0041267
2015-05-19 11:43 abv Assigned To abv => bugmaster
2015-05-19 11:43 abv Status resolved => reviewed
2015-05-19 16:27 bugmaster Status reviewed => tested
2015-05-22 12:19 bugmaster Changeset attached => occt master 1a5add58
2015-05-22 12:19 bugmaster Status tested => verified
2015-05-22 12:19 bugmaster Resolution open => fixed
2015-07-27 13:34 git Note Added: 0043503
2015-08-26 11:11 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 user533 Status verified => closed
2015-10-23 20:51 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker